Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class LocalVariableTypeTableEntry

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
              org.gjt.jclasslib.structures.attributes.LocalVariableTypeTableEntry

public class LocalVariableTypeTableEntry
extends LocalVariableCommonEntry

Describes an `LocalVariableTypeTableEntry` attribute structure.

Version:
  $Revision: 1.1 $ $Date: 2004/12/28 13:04:32 $
Author:
  Vitor Carreira

Field Summary

Fields inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
`descriptorOrSignatureIndex, index, length, LENGTH, nameIndex, startPc`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`LocalVariableTypeTableEntry()`

Method Summary
`static LocalVariableTypeTableEntry` | `create(DataInput in, ClassFile classFile)` Factory method for creating `LocalVariableTypeTableEntry` structures.
`protected void` | `debug(String message)` Utility method for derived structures.
`int` | `getSignatureIndex()` Get the index of the constant pool entry containing the signature of this local variable.
`void` | `setSignatureIndex(int signatureIndex)` Get the index of the constant pool entry containing the signature of this local variable.

Methods inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
`getDescriptorOrSignatureIndex, getIndex, getLength, getNameIndex, getStartPc, printAccessFlagsVerbose, read, setDescriptorOrSignatureIndex, setIndex, setLength, setNameIndex, setStartPc, write`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalVariableTypeTableEntry

    public LocalVariableTypeTableEntry()

Method Detail

### create

    public static LocalVariableTypeTableEntry create(DataInput in,
                                                     ClassFile classFile)
                                              throws InvalidByteCodeException,
                                                     IOException

  Factory method for creating `LocalVariableTypeTableEntry` structures.

  Parameters:
    `in` - the `DataInput` from which to read the `LocalVariableTypeTableEntry` structure
    `classFile` - the parent class file of the structure to be created
  Returns:
    the new `LocalVariableTypeTableEntry` structure
  Throws:
    `InvalidByteCodeException` - if the byte code is invalid
    `IOException` - if an exception occurs with the `DataInput`

### getSignatureIndex

    public int getSignatureIndex()

  Get the index of the constant pool entry containing the signature of this local variable.

  Returns:
    the index

### setSignatureIndex

    public void setSignatureIndex(int signatureIndex)

  Get the index of the constant pool entry containing the signature of this local variable.

  Parameters:
    `signatureIndex` - the index

### debug

    protected void debug(String message)

  Description copied from class: `AbstractStructure`
  Utility method for derived structures. Dump a specific debug message.

  Overrides:
    `debug` in class `AbstractStructure`
  Parameters:
    `message` - the debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD